---
- name: List Hosts
  hosts: localhost
  gather_facts: no
  tasks:
    - name: Debug
      debug:
        msg: "{{ hostvars[item].ansible_host }}"
      with_items:
        - "{{ groups.all }}"
      when: item != "localhost"
      delegate_to: localhost

